Auth
Validate bearer token
Validate the current bearer token and confirm that the API key can access protected endpoints.
GET
/
Validate bearer token
curl --request GET \
--url https://api.osint.ly/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.osint.ly/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.osint.ly/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Authorization Valid",
"help": "https://docs.osint.ly/api-reference/quick-start"
}{
"success": false,
"message": "Unauthorized"
}Was this page helpful?
Previous
List modulesReturn listed OSINT modules with their IDs, catalog metadata, pagination, featured modules, and aggregations. Requires a bearer API key.
Next
⌘I
Validate bearer token
